Reclaim Transaction

View as Markdown
Reclaims a previously completed Deposit transaction (minimum of 0.99). You can optionally reclaim partially. You can do so as many times as you wish until the entire deposited amount has been reclaimed. A Deposit transaction can only be reclaimed after the transaction has been processed and completed. Ensure you also implement an [event notification](ref:event-notifications-webhooks) handler to get transaction status updates.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired

Request

amountstringRequired<=10 characters

The amount to be reclaimed which can be less or equal than the current balance of the deposit transaction being reclaimed. If the value is omitted the remaining balance is reclaimed. (maximum of 10 characters with support for 2 decimal places)

merchantReferencestringOptional
A specific merchant reference for this reclaim. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.

Response

OK
requiredanyOptional
transactionIdstringOptional>=1 character

A unique transaction identifier generated by Trustly (15 character max).

transactionTypeenumOptional

Type of transaction record. Definitions and descriptions can be found in this table

paymentobjectOptional
A Trustly Payment
currencyenumOptional

3-letter ISO Currency Code. Currently only USD is supported.

amountstringOptional>=1 character

The amount of the transaction. (10 characters with support for 2 decimal places)

pendingstringOptional>=1 character

The total amount that is still pending completion. (10 characters with support for 2 decimal places)

paidstringOptional>=1 character

The total amount that was already paid. (10 characters with support for 2 decimal places)

refundedstringOptional>=1 character

The total amount that was refunded. (10 characters with support for 2 decimal places)

reversedstringOptional>=1 character

The total amount that was reversed. (10 characters with support for 2 decimal places)

balancestringOptional>=1 character

The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)

paymentProviderTransactionobjectOptional
Payment Provider Transaction
statusenumOptional

Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in this table

statusMessagestringOptional>=1 character

A descriptive status message. (120 characters)

ipstringOptional>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtintegerOptional
The date and time the transaction was created as a UNIX timestamp.
processedAtintegerOptional
The date and time the transaction was processed as a UNIX timestamp.
completedAtintegerOptional
The date and time the transaction was completed as a UNIX timestamp.
updatedAtintegerOptional
The date and time the transaction was last updated as a UNIX timestamp.
ppTrxIdstringOptional>=1 character
internal use only
merchantReferencestringOptional>=1 character
Merchants internal reference id for the transaction.
expiredAtintegerOptional
The date and time the preauthorization will expire as a UNIX timestamp.
recordVersiondoubleOptional
The current record version.
originalTransactionIdstringOptional
feestringOptional
timeZonestringOptional
representmentScheduledAtdoubleOptional
paymentProcessorTypestringOptional
statusCodestringOptional
preAuthorizedbooleanOptional